Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.util
Class FileHelper

    java.lang.Object
      org.hibernate.search.util.FileHelper

    public abstract class FileHelper

extends java.lang.Object

Utility class for synchronizing files/directories.

Author:
  Emmanuel Bernard, Sanne Grinovero, Hardy Ferentschik

Field Summary
`static long` | `DEFAULT_COPY_BUFFER_SIZE`

Constructor Summary
`FileHelper()`

Method Summary
`static boolean` | `areInSync(java.io.File source, java.io.File destination)`
`static void` | `delete(java.io.File file)`
`static void` | `synchronize(java.io.File source, java.io.File destination, boolean smart)`
`static void` | `synchronize(java.io.File source, java.io.File destination, boolean smart, long chunkSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COPY_BUFFER_SIZE

    public static final long DEFAULT_COPY_BUFFER_SIZE

See Also:
  Constant Field Values

Constructor Detail

### FileHelper

    public FileHelper()

Method Detail

### areInSync

    public static boolean areInSync(java.io.File source,
                                    java.io.File destination)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### synchronize

    public static void synchronize(java.io.File source,
                                   java.io.File destination,
                                   boolean smart)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### synchronize

    public static void synchronize(java.io.File source,
                                   java.io.File destination,
                                   boolean smart,
                                   long chunkSize)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    public static void delete(java.io.File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.